ul_block:
  label: UnLondon Block
  namespace: Organisms/TM - UnLondon
  use: '@organisms/tm-ul/ul-block/ul-block.twig'
  description: UnLondon Block
  libraries:
    - ul_block_lib:
        css:
          component:
            ../styles/ul-block.css: {}
  fields:
    url:
      type: text
      label: URL
      preview: 'https://test.com'
    block_title:
      type: text
      label: Block title
      preview:
        faker: lorem.words
    image:
      type: text
      label: Image
      preview: <img src="https://picsum.photos/500/400">
    title:
      type: text
      label: Title
      preview:
        faker: lorem.words
    text:
      type: text
      label: Text
      preview: <p>Lorem ipsum dolor sit.</p>
    cta_text:
      type: text
      label: CTA text
      preview:
        faker: lorem.words
    cta_icon:
      type: text
      label: CTA icon
      preview: far fa-ticket
  settings:
    layout:
      type: select
      label: Layout
      preview: image_left
      options:
        image_left: Card with image left
        image_right: Card with image right
        stacked: Items stacked
    coloured_bg:
      type: boolean
      label: Coloured background
      preview: false
    featured:
      type: boolean
      label: Featured
      preview: false

